Bug 763705 - (GLUSTER-1973) Unnecessary log message "RPC program not available"
Unnecessary log message "RPC program not available"
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
3.1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Shehjar Tikoo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-18 18:10 EDT by Harshavardhana
Modified: 2015-03-22 21:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTNR
Mount Type: nfs
Documentation: DNR
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Harshavardhana 2010-10-18 18:10:59 EDT
This log message has no meaning and it always shows up when users mount the gNFS volume. 

If its not relevant as "error" please move this to a different log level. 


[2010-10-18 14:58:02.120094] I [client-handshake.c:535:client_setvolume_cbk] dist-client-1: Connected to 10.1.10.112:24009, attached to remote volume '/distribute'.
[2010-10-18 15:09:30.471328] E [rpcsvc.c:1249:nfs_rpcsvc_program_actor] nfsrpc: RPC program not available
Comment 1 Shehjar Tikoo 2010-10-18 23:55:37 EDT
Not that it "has no meaning" but the log level needs to change anyway. Fix coming soon to a release near you.
Comment 2 Anand Avati 2010-10-26 23:11:47 EDT
PATCH: http://patches.gluster.com/patch/5576 in master (nfs-rpc: Fix log message for unsupported program)

Note You need to log in before you can comment on or make changes to this bug.